# Constant Field Values

## Contents

- com.sun.*

## com.sun.*

com.sun.speech.engine.BaseEngine
Modifier and Type
Constant Field
Value
`protected static final long`
`CLEAR_ALL_STATE`
`-1L`

com.sun.speech.engine.synthesis.text.TextSynthesizer.OutputHandler
Modifier and Type
Constant Field
Value
`protected static final int`
`CANCEL`
`2`
`protected static final int`
`CANCEL_ALL`
`3`
`protected static final int`
`CANCEL_COMPLETE`
`4`
`protected static final int`
`PAUSE`
`0`
`protected static final int`
`RESUME`
`1`
com.sun.speech.engine.synthesis.text.TextSynthesizerQueueItem
Modifier and Type
Constant Field
Value
`public static final String`
`BREAK`
`"break"`
`public static final String`
`COMMAND_PREFIX`
`"/"`
`public static final String`
`COMMAND_SUFFIX`
`"/"`
`public static final String`
`DATA_PREFIX`
`"["`
`public static final String`
`DATA_SUFFIX`
`"]"`
`public static final String`
`DIV`
`"div"`
`public static final String`
`ELEMENT_END`
`"end"`
`public static final String`
`ELEMENT_START`
`"start"`
`public static final String`
`EMPHASIS`
`"emphasis"`
`public static final String`
`ENGINE`
`"engine"`
`public static final String`
`JSML`
`"jsml"`
`public static final String`
`MARKER`
`"marker"`
`public static final String`
`PHONEME`
`"phoneme"`
`public static final String`
`PROSODY`
`"prosody"`
`public static final String`
`SAYAS`
`"sayas"`
`public static final String`
`VOICE`
`"voice"`

com.sun.speech.freetts.FreeTTS
Modifier and Type
Constant Field
Value
`public static final String`
`VERSION`
`"FreeTTS 1.2.2"`
com.sun.speech.freetts.PathExtractorImpl
Modifier and Type
Constant Field
Value
`public static final String`
`INTERPRET_PATHS_PROPERTY`
`"com.sun.speech.freetts.interpretCartPaths"`
`public static final String`
`LAZY_COMPILE_PROPERTY`
`"com.sun.speech.freetts.lazyCartCompile"`
com.sun.speech.freetts.PhoneSet
Modifier and Type
Constant Field
Value
`public static final String`
`CPLACE`
`"cplace"`
`public static final String`
`CTYPE`
`"ctype"`
`public static final String`
`CVOX`
`"cvox"`
`public static final String`
`VC`
`"vc"`
`public static final String`
`VFRONT`
`"vfront"`
`public static final String`
`VHEIGHT`
`"vheight"`
`public static final String`
`VLNG`
`"vlng"`
`public static final String`
`VRND`
`"vrnd"`
com.sun.speech.freetts.Relation
Modifier and Type
Constant Field
Value
`public static final String`
`PHRASE`
`"Phrase"`
`public static final String`
`SEGMENT`
`"Segment"`
`public static final String`
`SYLLABLE`
`"Syllable"`
`public static final String`
`SYLLABLE_STRUCTURE`
`"SylStructure"`
`public static final String`
`TARGET`
`"Target"`
`public static final String`
`TOKEN`
`"Token"`
`public static final String`
`UNIT`
`"Unit"`
`public static final String`
`WORD`
`"Word"`
com.sun.speech.freetts.Voice
Modifier and Type
Constant Field
Value
`public static final String`
`DATABASE_NAME`
`"databaseName"`
`public static final String`
`DEFAULT_AUDIO_PLAYER`
`"com.sun.speech.freetts.voice.defaultAudioPlayer"`
`public static final String`
`DEFAULT_AUDIO_PLAYER_DEFAULT`
`"com.sun.speech.freetts.audio.JavaStreamingAudioPlayer"`
`public static final String`
`FEATURE_JOIN_TYPE`
`"join_type"`
`public static final String`
`FEATURE_SILENCE`
`"silence"`
`public static final String`
`PROP_PREFIX`
`"com.sun.speech.freetts.voice."`

com.sun.speech.freetts.diphone.Diphone
Modifier and Type
Constant Field
Value
`protected static final int`
`ALIAS_MAGIC`
`195800832`
`protected static final int`
`MAGIC`
`262988031`
`protected static final int`
`NAME_LENGTH`
`8`

com.sun.speech.freetts.en.TokenizerImpl
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_POSTPUNCTUATION_SYMBOLS`
`"\"\'`.,:;!?(){}[]"`
`public static final String`
`DEFAULT_PREPUNCTUATION_SYMBOLS`
`"\"\'`({["`
`public static final String`
`DEFAULT_SINGLE_CHAR_SYMBOLS`
`"(){}[]"`
`public static final String`
`DEFAULT_WHITESPACE_SYMBOLS`
`" \t\n\r"`
`public static final int`
`EOF`
`-1`

com.sun.speech.freetts.en.us.USEnglish
Modifier and Type
Constant Field
Value
`public static final String`
`PREPUNCTUATION_SYMBOLS`
`"\"\'`({["`
`public static final String`
`PUNCTUATION_SYMBOLS`
`"\"\'`.,:;!?(){}[]"`
`public static final String`
`RX_DEFAULT_DIGITS2DASH`
`"[0-9]+(-[0-9]+)(-[0-9]+)+"`
`public static final String`
`RX_DEFAULT_DIGITSSLASHDIGITS`
`"[0-9]+/[0-9]+"`
`public static final String`
`RX_DEFAULT_DRST`
`"([dD][Rr]|[Ss][Tt])"`
`public static final String`
`RX_DEFAULT_FOUR_DIGIT`
`"[0-9][0-9][0-9][0-9]"`
`public static final String`
`RX_DEFAULT_HAS_VOWEL`
`".*[aeiouAEIOU].*"`
`public static final String`
`RX_DEFAULT_ILLION`
`".*illion"`
`public static final String`
`RX_DEFAULT_NUMBER_TIME`
`"((0[0-2])|(1[0-9])):([0-5][0-9])"`
`public static final String`
`RX_DEFAULT_NUMESS`
`"[0-9]+s"`
`public static final String`
`RX_DEFAULT_ROMAN_NUMBER`
`"(II?I?|IV|VI?I?I?|IX|X[VIX]*)"`
`public static final String`
`RX_DEFAULT_SEVEN_DIGIT_PHONE_NUMBER`
`"[0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]"`
`public static final String`
`RX_DEFAULT_THREE_DIGIT`
`"[0-9][0-9][0-9]"`
`public static final String`
`RX_DEFAULT_US_EN_ALPHABET`
`"[A-Za-z]+"`
`public static final String`
`RX_DEFAULT_US_EN_ALPHANUMERIC`
`"[0-9A-Za-z]+"`
`public static final String`
`RX_DEFAULT_US_EN_COMMAINT`
`"[0-9][0-9]?[0-9]?,([0-9][0-9][0-9],)*[0-9][0-9][0-9](\\.[0-9]+)?"`
`public static final String`
`RX_DEFAULT_US_EN_DIGITS`
`"[0-9][0-9]*"`
`public static final String`
`RX_DEFAULT_US_EN_DOTTED_ABBREV`
`"([A-Za-z]\\.)*[A-Za-z]"`
`public static final String`
`RX_DEFAULT_US_EN_DOUBLE`
`"-?(([0-9]+\\.[0-9]*)|([0-9]+)|(\\.[0-9]+))([eE][---+]?[0-9]+)?"`
`public static final String`
`RX_DEFAULT_US_EN_IDENTIFIER`
`"[A-Za-z_][0-9A-Za-z_]+"`
`public static final String`
`RX_DEFAULT_US_EN_INT`
`"-?[0-9]+"`
`public static final String`
`RX_DEFAULT_US_EN_LOWERCASE`
`"[a-z]+"`
`public static final String`
`RX_DEFAULT_US_EN_ORDINAL_NUMBER`
`"[0-9][0-9,]*(th|TH|st|ST|nd|ND|rd|RD)"`
`public static final String`
`RX_DEFAULT_US_EN_UPPERCASE`
`"[A-Z]+"`
`public static final String`
`RX_DEFAULT_US_EN_WHITESPACE`
`"[ \n\t\r]+"`
`public static final String`
`RX_DEFAULT_US_MONEY`
`"\\$[0-9,]+(\\.[0-9]+)?"`
`public static final String`
`RX_DIGITS2DASH`
`"[0-9]+(-[0-9]+)(-[0-9]+)+"`
`public static final String`
`RX_DIGITSSLASHDIGITS`
`"[0-9]+/[0-9]+"`
`public static final String`
`RX_DRST`
`"([dD][Rr]|[Ss][Tt])"`
`public static final String`
`RX_FOUR_DIGIT`
`"[0-9][0-9][0-9][0-9]"`
`public static final String`
`RX_HAS_VOWEL`
`".*[aeiouAEIOU].*"`
`public static final String`
`RX_ILLION`
`".*illion"`
`public static final String`
`RX_NUMBER_TIME`
`"((0[0-2])|(1[0-9])):([0-5][0-9])"`
`public static final String`
`RX_NUMESS`
`"[0-9]+s"`
`public static final String`
`RX_ROMAN_NUMBER`
`"(II?I?|IV|VI?I?I?|IX|X[VIX]*)"`
`public static final String`
`RX_SEVEN_DIGIT_PHONE_NUMBER`
`"[0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]"`
`public static final String`
`RX_THREE_DIGIT`
`"[0-9][0-9][0-9]"`
`public static final String`
`RX_US_MONEY`
`"\\$[0-9,]+(\\.[0-9]+)?"`
`public static final String`
`SINGLE_CHAR_SYMBOLS`
`""`
`public static final String`
`WHITESPACE_SYMBOLS`
`" \t\n\r"`

com.sun.speech.freetts.relp.SampleInfo
Modifier and Type
Constant Field
Value
`public static final String`
`UTT_NAME`
`"SampleInfo"`
com.sun.speech.freetts.relp.UnitConcatenator
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_OUTPUT_LPC`
`"com.sun.speech.freetts.outputLPC"`